curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eval_code": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"eval_code": "<string>",
"criteria_type": "1-5",
"is_deployed": true,
"created_at": "<string>"
}Create a new version of an existing code evaluation criteria. The version is not deployed until published.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eval_code": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"eval_code": "<string>",
"criteria_type": "1-5",
"is_deployed": true,
"created_at": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
CreateCodeEvalVersionResponse(id: uuid.UUID, version_number: int, eval_code: Optional[str], criteria_type: shared.sqlalchemy.models.AutoEvalCriteriaType, is_deployed: bool, created_at: str)